Bug 103526 - Mesa 13.0.6/13.0.4 llvmpipe software rasterizer on PowerPC. Unexpected format PIPE_FORMAT_A8B8G8R8_UNORM in st_new_renderbuffer_fb
Summary: Mesa 13.0.6/13.0.4 llvmpipe software rasterizer on PowerPC. Unexpected format...
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/llvmpipe (show other bugs)
Version: 13.0
Hardware: PowerPC Linux (All)
: medium blocker
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-31 13:10 UTC by spbrothers
Modified: 2019-09-18 18:32 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description spbrothers 2017-10-31 13:10:47 UTC
While attempting to run OSMesa Gallium llvmpipe and softpipe software rasterizers on PowerPC with Linux Mesa outputs "Mesa 13.0.6 implementation error: Unexpected format PIPE_FORMAT_A8B8G8R8_UNORM in st_new_renderbuffer_fb". 

Same for 13.0.4.
PowerPC works in big-endian mode.
LLVM version is 3.9.1.
Comment 1 Eric Engestrom 2017-10-31 13:28:02 UTC
Thank you for running tests on PowerPC, we don't have many people with the right hardware to do that :)
big-/little-endian issues unfortunately come up every now and then because of this lack of testing.

(In reply to spbrothers from comment #0)
> Mesa outputs "Mesa 13.0.6 implementation

That version is quite old; can you upgrade to 17.2 or above and try again?
It's quite possible the issue has already been fixed.
Comment 2 Emil Velikov 2017-10-31 15:28:05 UTC
As Eric mentioned - Mesa 13.0.x is EOL. We had a number of PPC fixes since then, so I'd encourage you to try 17.2.3/17.2.4 or master.
Comment 3 spbrothers 2017-10-31 17:01:08 UTC
(In reply to Eric Engestrom from comment #1)
> Thank you for running tests on PowerPC, we don't have many people with the
> right hardware to do that :)
> big-/little-endian issues unfortunately come up every now and then because
> of this lack of testing.
> 
> (In reply to spbrothers from comment #0)
> > Mesa outputs "Mesa 13.0.6 implementation
> 
> That version is quite old; can you upgrade to 17.2 or above and try again?
> It's quite possible the issue has already been fixed.

(In reply to Emil Velikov from comment #2)
> As Eric mentioned - Mesa 13.0.x is EOL. We had a number of PPC fixes since
> then, so I'd encourage you to try 17.2.3/17.2.4 or master.

Thank you for fast responses. I will try newer version.
Comment 4 Ben Crocker 2018-01-22 21:47:09 UTC
Yes, please try Mesa 17.2.4 or later; Mesa 17.2.x is up to 17.2.8.
OR you could try Mesa 17.3.1 or 17.3.2.

In late 2016 to mid-2017, Roland Scheidegger, Ray Strode, and I solved
a number of problems in the LLVM software pipeline.  Please see

https://bugs.freedesktop.org/show_bug.cgi?id=100613

for our lengthy discussion.

We would like to close this bug as RESOLVED in light of the
successful resolution of 100613.
Comment 5 GitLab Migration User 2019-09-18 18:32:47 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/245.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.